Subject: Re: [PATCH net-next] dt-bindings: net: dsa: make phylink bindings required for CPU/DSA ports

From: Jakub Kicinski <[email-masked]>
Date: Mon, 1 Aug 2022 09:22:56 -0700

On Sun, 31 Jul 2022 18:00:06 +0300 Vladimir Oltean wrote:
> It is desirable that new DSA drivers are written to expect that all
> their ports register with phylink, and not rely on the DSA core's
> workarounds to skip this process.
> 
> To that end, DSA is being changed to warn existing drivers when such DT
> blobs are in use:
> https://patchwork.kernel.org/project/netdevbpf/cover/[email-masked]/
> 
> Introduce another layer of validation in the DSA DT schema, and assert
> that CPU and DSA ports must have phylink-related properties present.
> 
> Suggested-by: Rob Herring <[email-masked]>
> Signed-off-by: Vladimir Oltean <[email-masked]>
> ---
> I've sent this patch separately because at least right now I don't have
> a reason to resend the other 4 patches linked above, and this has no
> dependency on those.

If I'm reading

https://lore.kernel.org/r/[email-masked]/

correctly - the warnings are expected but there needs to be a change 
to properties, so CR? (FWIW I'd lean towards allowing it still, even
tho net-next got closed. Assuming v2 can get posted and acked today.)